Skip to content

直播榜单-直播爆品榜

简介

获取TikTok直播间爆品榜单数据

  • 支持设置过滤参数
  • 支持设置结果排序方式

接口

bash
    POST /live/v1/rank/topProduct

request body

字段类型必选描述
filterobject过滤参数
orderbyobject排序参数
pageinteger默认:1
pagesizeinteger默认:10

page * pagesize <= 500

pagesize 范围 [1, 100]

filter可选值

字段类型必选描述
regionstring国家/地区
category_idinteger商品分类(一级)
date_infoobject日期信息:日榜、周榜、月榜

region 范围: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby可选值

字段必选描述
units_sold销量(desc)
gmv销售额(desc)
live_count直播场次(desc)

request example

bash
curl 'https://openapi.fastmoss.com/live/v1/rank/topProduct' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "date_info": {
        #     "type": "day",
        #     "value": "2026-04-01"
        # },
        "date_info": {
            "type": "week",
            "value": "2026-13"
        }
        # ,
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-04"
        # }
    },
     "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

response body

data.total

结果总条数

data.list

字段类型描述
productobject商品信息
shopobject店铺信息
top_livearray[object]top销量直播间
units_soldinteger直播间销量
gmvinteger直播间销售额
usd_gmvinteger直播间销售额(美元)
currencystring货币
live_countinteger直播场次

data.list:product

字段类型描述
product_idstring商品id
titlestring商品标题
coverstring商品封面 URL
real_pricestring商品价格
currencystring货币
regionstring国家/地区
categoryobject商品分类

data.list:product:category

字段类型描述
l1object一级分类
l2object二级分类
l3object三级分类

data.list:shop

字段类型描述
seller_idstring店铺id
namestring店铺名称
regionstring国家/地区
avatarstring店铺logo URL

data.list:top_live

字段类型描述
room_idstring直播间id
titlestring直播间标题
coverstring直播间封面 URL
gmvinteger直播间销售额
units_soldinteger直播间销量
currencystring货币
regionstring国家/地区

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product": {
          "product_id": "1729707172352594230",
          "title": "BASED Leave-in Conditioner | Instant Hydration & Anti-Frizz | Simple, Effective, BASED.",
          "cover": "https://s.500fd.com/tt_product/413c08135c3f48e480af5dd9aa5f60c2~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
          "region": "US",
          "currency": "USD",
          "real_price": "$17.00",
          "category": {
            "l1": {
              "id": 14,
              "name": "Beauty & Personal Care"
            },
            "l2": {
              "id": 848904,
              "name": "Haircare & Styling"
            },
            "l3": {
              "id": 601469,
              "name": "Shampoo & Conditioner"
            }
          }
        },
        "shop": {
          "seller_id": "7495079418085345590",
          "name": "BASED",
          "avatar": "https://s.500fd.com/tt_shop/c4e48f5ff0b242968e1d6212f3ab93f0~tplv-omjb5zjo8w-resize-png:300:300.png",
          "region": "US"
        },
        "rank_category": {
          "category_id": "14",
          "name": "Beauty & Personal Care"
        },
        "top_live": [
          {
            "room_id": "7619504259826060063",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
            "gmv": 14075,
            "units_sold": 563,
            "currency": "USD"
          },
          {
            "room_id": "7619504259826060063",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/55014e26dbf474c4a27a302cea499131~tplv-tiktokx-cropcenter:720:720.jpeg",
            "gmv": 13850,
            "units_sold": 554,
            "currency": "USD"
          }
        ],
        "live_units_sold": 2985,
        "live_gmv": 74625,
        "live_usd_gmv": 74625,
        "live_count": 17
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-13"
  },
  "message": "",
  "timestamp": 1777355755,
  "request_id": "7582c9e8-dc04-101a-5d39-cdd032716713"
}